HTTP Response Format Valve
Valve used to format HTTP response in Integrity API.
Configuration
Section titled “Configuration”| Name | Description | Default value | Mandatory | Expanded |
|---|---|---|---|---|
body | Response body. JSON structure. | {} | ||
headers | Response headers. JSON structure. NOTE: Content-Length and Content-Type are set automatically. | {} |
{ "name": "HTTPFormatForAPI", "enabled": true, "exec_if_expr": "items[0].status=='complete'", "config": { "body": { "access_token": "${item.jwt}", "refresh_token": "${session.id}", "status": "${item.status}" }, "headers": {} }}